%define prerel 0
%define date 20130523

%define qtmajor 5
%define qtminor 4
%define qtsubminor 2

%define rel 1

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqt5quicktest %mklibname qt5quicktest %qtmajor
%define libqt5quicktest_d %mklibname qt%{qtmajor}quicktest -d
%define libqt5quicktest_p_d %mklibname qt%{qtmajor}quicktest-private -d

%define libqt5quick %mklibname qt5quick %qtmajor
%define libqt5quick_d %mklibname qt%{qtmajor}quick -d
%define libqt5quick_p_d %mklibname qt%{qtmajor}quick-private -d

%define libqt5quickwidgets %mklibname qt5quickwidgets %qtmajor
%define libqt5quickwidgets_d %mklibname qt%{qtmajor}quickwidgets -d
%define libqt5quickwidgets_p_d %mklibname qt%{qtmajor}quickwidgets-private -d

%define libqt5quickparticles %mklibname qt5quickparticles %qtmajor
%define libqt5quickparticles_d %mklibname qt%{qtmajor}quickparticles -d
%define libqt5quickparticles_p_d %mklibname qt%{qtmajor}quickparticles-private -d

%define libqt5qml %mklibname qt5qml %qtmajor
%define libqt5qml_d %mklibname qt%{qtmajor}qml -d
%define libqt5qml_p_d %mklibname qt%{qtmajor}qml-private -d

%if %prerel
%define qttarballdir qtdeclarative-opensource-src-%{qtversion}-RC
%else
%define qttarballdir qtdeclarative-opensource-src-%{qtversion}
%endif

Name: qtdeclarative5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtcore5-devel = %{version}
BuildRequires: qtcore5-private-devel = %{version}
BuildRequires: qtnetwork5-devel = %{version}
BuildRequires: qtgui5-devel = %{version}
BuildRequires: qtgui5-private-devel = %{version}
BuildRequires: qttest5-devel = %{version}
BuildRequires: qttest5-private-devel = %{version}
BuildRequires: qtwidgets5-devel = %{version}
BuildRequires: qt5widgets-private-devel = %{version}
BuildRequires: qtsql5-devel = %{version}
#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

%files
%_qt5_bindir/qml
%_qt5_bindir/qmlimportscanner
%_qt5_bindir/qmlbundle
%_qt5_bindir/qmlmin
%_qt5_bindir/qmlplugindump
%_qt5_bindir/qmlprofiler
%_qt5_bindir/qmlscene
%_qt5_bindir/qmltestrunner
%_qt5_bindir/qmleasing
%_qt5_bindir/qmllint
%_qt5_prefix/qml/QtTest
%_qt5_prefix/qml/QtQuick*
%_qt5_prefix/plugins/qmltooling/libqmldbg_qtquick2.so
%_qt5_prefix/plugins/qmltooling/libqmldbg_tcp.so
%_qt5_prefix/qml/Qt/labs/folderlistmodel
%_qt5_prefix/qml/Qt/labs/settings

#------------------------------------------------------------------------------

%package -n %{libqt5quicktest}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5quicktest}
Qt%{qtmajor} Lib.

%files -n %{libqt5quicktest}
%{_qt5_libdir}/libQt5QuickTest.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quicktest_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{libqt5quicktest} = %version
Requires: %{name} = %version
Provides: libqt5quicktest-devel = %version
Provides: libqtquicktest5-devel = %version
Provides: qt5quicktest-devel = %version
Provides: qtquicktest5-devel = %version

%description -n %{libqt5quicktest_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqt5quicktest_d}
%_qt5_libdir/libQt5QuickTest.prl
%_qt5_libdir/libQt5QuickTest.so
%_qt5_libdir/cmake/Qt5QuickTest
%_qt5_includedir/QtQuickTest
%exclude %_qt5_includedir/QtQuickTest/%qtversion
%_qt5_libdir/pkgconfig/Qt5QuickTest.pc
%_qt5_prefix/examples/qmltest

#------------------------------------------------------------------------------

%package -n %{libqt5quicktest_p_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{libqt5quicktest_d} = %version
Provides: libqt5quicktest-private-devel = %version
Provides: libqtquicktest5-private-devel = %version
Provides: qt5quicktest-private-devel = %version
Provides: qtquicktest5-private-devel = %version

%description -n %{libqt5quicktest_p_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqt5quicktest_p_d}
%_qt5_includedir/QtQuickTest/%qtversion

#------------------------------------------------------------------------------

%package -n %{libqt5quick}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5quick}
Qt%{qtmajor} Lib.

%files -n %{libqt5quick}
%{_qt5_libdir}/libQt5Quick.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quick_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{name} = %version
Requires: %{libqt5quick} = %version
Provides: libqt5quick-devel = %version
Provides: libqtquick5-devel = %version
Provides: qt5quick-devel = %version
Provides: qtquick5-devel = %version
Requires: qtgui5-devel = %version

%description -n %{libqt5quick_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqt5quick_d}
%_qt5_libdir/libQt5Quick.prl
%_qt5_libdir/libQt5Quick.so
%_qt5_libdir/cmake/Qt5Quick
%_qt5_includedir/QtQuick
%exclude %_qt5_includedir/QtQuick/%qtversion
%_qt5_prefix/examples/quick
%_qt5_libdir/pkgconfig/Qt5Quick.pc
%_qt5_prefix/mkspecs/modules/qt_lib_quick.pri
#_qt5_libdir/cmake/Qt5Widgets/Qt5Widgets_AccessibleQuickFactory.cmake

#------------------------------------------------------------------------------

%package -n %{libqt5quick_p_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{libqt5quick_d} = %version
Requires: %{libqt5qml_p_d} = %version
Provides: libqt5quick-private-devel = %version
Provides: libqtquick5-private-devel = %version
Provides: qt5quick-private-devel = %version
Provides: qtquick5-private-devel = %version

%description -n %{libqt5quick_p_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqt5quick_p_d}
%_qt5_includedir/QtQuick/%qtversion
%_qt5_prefix/mkspecs/modules/qt_lib_quick_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5quickwidgets}
Summary: Qt%{qtmajor} Lib 
Group: System/Libraries

%description -n %{libqt5quickwidgets}
Qt%{qtmajor} Lib.

%files -n %{libqt5quickwidgets}
%{_qt5_libdir}/libQt5QuickWidgets.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quickwidgets_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{name} = %version
Requires: %{libqt5quickwidgets} = %version
Provides: libqt5quickwidgets-devel = %version
Provides: libqtquickwidgets5-devel = %version
Provides: qt5quickwidgets-devel = %version
Provides: qtquickwidgets5-devel = %version

%description -n %{libqt5quickwidgets_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqt5quickwidgets_d}
%_qt5_libdir/libQt5QuickWidgets.prl
%_qt5_libdir/libQt5QuickWidgets.so
%_qt5_libdir/cmake/Qt5QuickWidgets
%_qt5_includedir/QtQuickWidgets
%exclude %_qt5_includedir/QtQuickWidgets/%qtversion
%_qt5_libdir/pkgconfig/Qt5QuickWidgets.pc
%_qt5_prefix/mkspecs/modules/qt_lib_quickwidgets.pri

#------------------------------------------------------------------------------

%package -n %{libqt5quickwidgets_p_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{libqt5quickwidgets_d} = %version
Requires: %{libqt5qml_p_d} = %version
Provides: libqt5quickwidgets-private-devel = %version
Provides: libqtquickwidgets5-private-devel = %version
Provides: qt5quickwidgets-private-devel = %version
Provides: qtquickwidgets5-private-devel = %version

%description -n %{libqt5quickwidgets_p_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqt5quickwidgets_p_d}
%_qt5_includedir/QtQuickWidgets/%qtversion
%_qt5_prefix/mkspecs/modules/qt_lib_quickwidgets_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5quickparticles}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5quickparticles}
Qt%{qtmajor} Lib.

%files -n %{libqt5quickparticles}
%{_qt5_libdir}/libQt5QuickParticles.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quickparticles_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{name} = %version
Requires: %{libqt5quickparticles} = %version
Provides: libqt5quickparticles-devel = %version
Provides: libqtquickparticles5-devel = %version
Provides: qt5quickparticles-devel = %version
Provides: qtquickparticles5-devel = %version

%description -n %{libqt5quickparticles_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqt5quickparticles_d}
%_qt5_libdir/libQt5QuickParticles.prl
%_qt5_libdir/libQt5QuickParticles.so
%_qt5_includedir/QtQuickParticles
%exclude %_qt5_includedir/QtQuickParticles/%qtversion
%_qt5_libdir/pkgconfig/Qt5QuickParticles.pc

#------------------------------------------------------------------------------

%package -n %{libqt5quickparticles_p_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{libqt5quickparticles_d} = %version
Provides: libqt5quickparticles-private-devel = %version
Provides: libqtquickparticles5-private-devel = %version
Provides: qt5quickparticles-private-devel = %version
Provides: qtquickparticles5-private-devel = %version

%description -n %{libqt5quickparticles_p_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqt5quickparticles_p_d}
%_qt5_includedir/QtQuickParticles/%qtversion
%_qt5_prefix/mkspecs/modules/qt_lib_quickparticles_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5qml}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5qml}
Qt%{qtmajor} Lib.

%files -n %{libqt5qml}
%{_qt5_libdir}/libQt5Qml.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5qml_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{name} = %version
Requires: %{libqt5qml} = %version
Provides: libqt5qml-devel = %version
Provides: libqtqml5-devel = %version
Provides: qt5qml-devel = %version
Provides: qtqml5-devel = %version

Requires: qtnetwork5-devel = %version
Requires: qtcore5-devel = %version

%description -n %{libqt5qml_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqt5qml_d}
%_qt5_libdir/libQt5Qml.prl
%_qt5_libdir/libQt5Qml.so
%_qt5_libdir/cmake/Qt5Qml
%_qt5_prefix/mkspecs/modules/qt_lib_qmltest.pri
%_qt5_prefix/mkspecs/modules/qt_lib_qml.pri
%_qt5_prefix/examples/qml
%_qt5_libdir/pkgconfig/Qt5Qml.pc
%_qt5_libdir/pkgconfig/Qt5QmlDevTools.pc
%_qt5_includedir/QtQml*
%exclude %_qt5_includedir/QtQml/%qtversion
%_qt5_libdir/libQt5QmlDevTools.prl

#------------------------------------------------------------------------------

%package -n %{libqt5qml_p_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{libqt5qml_d} = %version
Provides: libqt5qml-private-devel = %version
Provides: libqtqml5-private-devel = %version
Provides: qt5qml-private-devel = %version
Provides: qtqml5-private-devel = %version

Requires: qtcore5-private-devel = %version

%description -n %{libqt5qml_p_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqt5qml_p_d}
%_qt5_includedir/QtQml/%qtversion
%_qt5_datadir/qml/QtQml
%_qt5_prefix/mkspecs/modules/qt_lib_qml_private.pri
%_qt5_prefix/mkspecs/modules/qt_lib_qmldevtools_private.pri
%_qt5_prefix/mkspecs/modules/qt_lib_qmltest_private.pri

#------------------------------------------------------------------------------


%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

#------------------------------------------------------------------------------
%make

%install
%qmakeinstall_std

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a



%changelog
* Wed Jul 01 2015 filipesaraiva <filipesaraiva> 5.4.2-1.mga5
+ Revision: 849334
- Update to Qt 5.4.2;
- Fix URL to new address qt.io;

* Tue Dec 16 2014 neoclust <neoclust> 5.4.0-2.mga5
+ Revision: 803482
- Fix requires on name

* Fri Dec 12 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802784
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801797
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 747462
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 738087
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639772
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624068
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621412
- update file list
- 5.3.0 rc

* Sun Apr 06 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612293
- 5.3.0beta
- 5.3.0 beta

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha.1.mga5
+ Revision: 598825
- New version 5.3.0-alpha

* Sun Feb 09 2014 fwang <fwang> 5.2.1-2.mga5
+ Revision: 586965
- hard force versioned requires

* Thu Feb 06 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 584209
- 5.2.1

* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556731
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554429
- update file list
- 5.2.0 rc1

* Thu Nov 14 2013 fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 551124
- qtjsbackend is not needed now

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547096
- 5.2.0 beta1
- 5.2.0 beta1

* Mon Oct 21 2013 umeabot <umeabot> 5.2.0-1.alpha.3.mga4
+ Revision: 538997
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 5.2.0-1.alpha.2.mga4
+ Revision: 491188
- add requires on qml-private-devel, as there are relative includes

* Wed Oct 02 2013 neoclust <neoclust> 5.2.0-1.alpha.1.mga4
+ Revision: 490485
- New version 5.2.0 alpha

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.2.mga4
+ Revision: 428816
- Rebuild against new qt5 libs location

* Sat May 25 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 427023
- New QT 5.2 Snapshot

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410360
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 394038
- New version 5.O.1 Final

* Tue Jan 29 2013 neoclust <neoclust> 5.0.1-0.rc1.2.mga3
+ Revision: 393093
- Move private headers out of devel package

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392326
- New version 5.0.1 rc1

* Sat Jan 26 2013 neoclust <neoclust> 5.0.0-2.mga3
+ Revision: 392305
- Fix typo in macro
- imported package qtdeclarative5

